@import '../../../main-styles.scss';

.root{
    display: flex;
    width: 100%;
    position: relative;

    &:hover{
        .x-icon-button{
            opacity:1;
            transform: scale(1);
        }
    }

    .x-icon-button{
        position: absolute;
        height: 34px;
        width: 34px;
        border-radius: 50%;        
        right: -17px;
        top: -17px;
        background-color: $dark;
        background-image: url('../../../assets/deleteicon.svg');
        background-repeat: no-repeat;
        background-position: center;

        transform: scale(0);
        transition: opacity 0.2s ease-out, transform 0.2s ease-out;
        opacity: 0;

        cursor: pointer;

        &:hover{
            transform: scale(1.2);
        }
    }
}

.budget-item{
    display: flex;
    width: 100%;
    background-color: $light-grey;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
    
    transition: background-color 0.2s ease-out;
    &:hover{
            background-color: darken($light-grey, 2%);
        }
    }
    .description {
        display: flex;
        flex-grow: 1;
        font-size: 18px;
        margin-left: 5px;

        align-items: center;
    }

    .amount{
        padding: 5px;
        border-radius: 3px;
    }

    

.expense{
    p{
        color: $red;
    }

    .amount{
        background-color: $light-red;
    }
}

.income{
    p{
        color: $green;
    }

    .amount{
        background-color: $light-green;
    }
}